package eu.stork.peps.auth.commons;

import java.io.Serializable;

/**
 * This class is a bean used to store the information relative to the Attribute Provider.
 * 
 * @author Stelios Lelis (stelios.lelis@aegean.gr), Elias Pastos (ilias@aegean.gr)
 *
 * @version $Revision: 1.01 $, $Date: 2013-11-28 $
 */
public final class AttributeProvider implements Serializable {
  /**
   * Unique identifier.
   */
  private static final long serialVersionUID = 7210186241917444559L;

 /**
   * Provider Id.
   */
  private String providerId;
  
  /**
   * Provider Name.
   */
  private String providerName;

  /**
   * Attribute Provider Constructor.
   * 
   * @param pId Id of the Attribute Provider.
   * @param pName Name of the Attribute Provider.
   */
  public AttributeProvider(final String pId, final String pName) {
    
    this.providerId = pId;
    this.providerName = pName;
  }
  
  /**
   * Getter for the providerId value.
   * 
   * @return The providerId value.
   */
  public String getProviderId() {
    
    return providerId;
  }
  
  /**
   * Setter for the providerId value.
   * 
   * @param pId Id of the Attribute Provider.
   */
  public void setProviderId(final String pId) {
    
    this.providerId = pId;
  }
  
  /**
   * Getter for the providerName value.
   * 
   * @return The providerName value.
   */
  public String getProviderName() {
    
    return providerName;
  }
  
  /**
   * Setter for the providerName value.
   * 
   * @param name Name of the Attribute Provider.
   */
  public void setProviderName(final String name) {
    
    this.providerName = name;
  }
  
}
